# Cosigner

## Properties

|Name | Type | Description | Notes|
|------------ | ------------- | ------------- | -------------|
|**archived** | **boolean** | Whether the cosigner is archived | [default to undefined]|
|**id** | **string** | The unique identifier of the cosigner | [default to undefined]|
|**name** | **string** | The name of the cosigner | [optional] [default to undefined]|
|**type** | **string** | The type of the cosigner | [optional] [default to undefined]|
|**version** | [**VersionSummary**](VersionSummary.md) |  | [optional] [default to undefined]|


## Enum: CosignerTypeEnum


* `Sandbox` (value: `'SANDBOX'`)

* `Sgx` (value: `'SGX'`)

* `GcpConfspace` (value: `'GCP-CONFSPACE'`)

* `AwsNitro` (value: `'AWS-NITRO'`)

* `Plain` (value: `'PLAIN'`)





[[Back to top]](#) [[Back to API list]](../../README.md#documentation-for-api-endpoints) [[Back to Model list]](../../README.md#documentation-for-models) [[Back to README]](../../README.md)
